Summary: Black Penguin
Name: blackpenguin
Version: 0.2
Release: 2
Copyright: GPL
Group: Amusements/Games
Source: http://metalab.unc.edu/pub/Linux/games/arcade/blackpenguin-0.2.tar.gz
SOurce1: blackpenguin.desktop
Patch: blackpenguin-rh.patch
Url: http://www.priebs.de/blackpenguin.html
BuildRoot: %{_tmppath}/%{name}-build
BuildPrereq: qt-devel
Excludearch: ia64

%description
Arcade style jump-on-cubes game. Use your cursor keys to make
the penguin escape from the evil window and gather credits by
collecting the items on the cubes. 16 levels. Runs under X11
with Qt and/or KDE. Rendered graphics.

%prep
%setup -q
%patch -p1 -b .redhat

%build
export QTDIR=/usr/lib/qt-1.45

make -C src

%install
rm -rf $RPM_BUILD_ROOT

make -C src install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/applnk/Games/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc doc/*
%config(noreplace) /etc/X11/applnk/Games/*.desktop
/usr/X11R6/bin/blackpenguin

%changelog
* Wed Jan 10 2001 Tim Powers <timp@redhat.com>
- exclude ia64

* Tue Nov 28 2000 Than Ngo <than@redhat.com>
- first initial build for powertools-7.1
